QGIS Application - Bug report #11788
core.so: undefined symbol: _ZTI18QgsHeatmapRenderer
2014-12-03 04:58 PM - Mikhail Tchernychev

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Ubuntu 14.04 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20015
Description

Hi,

| followed instruction and got master version of QGIS. Everything compiles fine, but when | start | got message:
Couldn't load PyQGIS.
Python support will be disabled.

Traceback (most recent call last):
File ™, line 1, in
File "/home/misha/opt/qgis-dev/share/qgis/python/qgis/__init__.py", line 36, in
from qgis.core import QgsFeature, QgsGeometry
File "/home/misha/opt/qgis-dev/share/qgis/python/qgis/core/__init__.py", line 2, in
from qgis._core import *
ImportError: /nome/misha/opt/qgis-dev/share/qgis/python/qgis/_core.so: undefined symbol: _ZTI18QgsHeatmapRenderer

Python version:
2.7.6 (default, Mar 22 2014, 23:03:14)
[GCC 4.8.2]

QGIS version:
2.7.0-Master 'Master', exported

Python path:

['/home/misha/opt/qgis-dev/share/qgis/python', u'/home/misha/.qgis2/python’, u'/home/misha/.qgis2/python/plugins’,
'/home/misha/opt/qgis-dev/share/qgis/python/plugins', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-i386-linux-gnu’,
"fusr/lib/python2.7/lib-tk', "/usr/lib/python2.7/lib-old", ‘/ust/lib/python2.7/lib-dynload’, '/usr/local/lib/python2.7/dist-packages’,
"/usr/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages/PlLcompat’, ‘/usr/lib/python2.7/dist-packages/gtk-2.0',
'fusr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/ubuntu-sso-client’,
'fusr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode']

| tried to remove .qgis, .config/QGIS but everything is the same.

It seems _core library did not get some feature compiled.

Thank you
Mikhail

History

#1 - 2014-12-03 05:01 PM - Mikhail Tchernychev
- Status changed from Open to Closed

Sorry, this was fixed by defining LD_LIBRARY_PATH pointing to the lib folder

like

export LD_LIBRARY_PATH=/home/misha/opt/qgis-dev/lib

Seem working now :)

Thank you
Mikhai
